OpenOffice-3.0.1, JAVA, AMDE64

jignesh gangani jgangani at gmail.com
Fri Apr 24 03:29:09 PDT 2009


Hi lux-inetg,

This is just a suggestion. Try using OpenJDK (http://openjdk.java.net)
which will
allow you to build java and then try compiling OOo3.

On Fri, Apr 24, 2009 at 3:55 PM, lux-integ <lux-integ at btconnect.com> wrote:
> Greetings,
>
>
> I am attempting to compile openoffice-3.0.1  The box runs clfs 64Bit -amd64
> kernel-2.6.27.7 gcc-4.3.2.     For java,  only a binary was available.  This
> was   jdk-1_5_0_16-linux-amd64.bin    downloaded from Sun.
>
> I attempted to   compile openoffice-3.0.1  and it compiles    with the
> switch   --without-java.   However      with the switch --with-java
> and --with-jdk=/wherever    I get compile failures as shown below
>
> ###################
>
> integration/forms/TestCase.java:39: package complexlib does not exist
> public abstract class TestCase extends complexlib.ComplexTestCase implements
> com.sun.star.lang.XEventListener
>
> integration/forms/TestSkeleton.java:40: package complexlib does not exist
> public class TestSkeleton extends complexlib.ComplexTestCase
>                                            ^
> integration/forms/MasterDetailForms.java:45: package complexlib does not exist
> public class MasterDetailForms extends complexlib.ComplexTestCase implements
> com.sun.star.form.XLoadListener
> .....
> ....
> Note: Recompile with -Xlint:deprecation for details.
> Note: integration/forms/TableCellTextBinding.java uses unchecked or unsafe
> operations.
> Note: Recompile with -Xlint:unchecked for details.
> 100 errors
> dmake:  Error code 1, while
> making '../unxlngx6.pro/misc/FormIntegrationTest_dummy.java'
>
> ERROR: Error 65280 occurred while making ~/OOO300_m15/forms/qa
> rmdir /tmp/7157
> dmake:  Error code 1, while making 'build_instsetoo_native'
> ####################
>
> I want to have java  resources compiled in.    JAVA is needed for example to
> compile mozilla-1.7.5 and as the  ./configuire --help explains it is needed
> for xml filters.
>
> I also checked the   configuire --help  and found no explanation
> of --with-Xlint.
>
> Questions:
>
> 1)  will compiling --with-Xlint help or will this just   provide more details
> why   the compilation failed?
> 2) Ais there some error in the way  jdk-1_5_0_16-linux-amd64.bin was installed
> that is giving these errors?
> 3) Are there any other java resources for AMD64 available from Sun that
> overcomes the problems of the JAVA binary I am using?
>
> sugggestions welcomed
> sincerely
> lux-integ
>
>
> --
> http://linuxfromscratch.org/mailman/listinfo/blfs-support
> FAQ: http://www.linuxfromscratch.org/blfs/faq.html
> Unsubscribe: See the above information page
>



-- 

Jignesh D. Gangani



More information about the blfs-support mailing list